[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Can't install mplayer - dependency problems



Hi Everyone,

This is the first time I've ever run into a problem with the Livna repo,
or with yum in general.

I'm trying to install mplayer, but yum keeps dying with errors about
missing dependencies.  I thought that was the whole point of yum!
Anyway, here's the output from the install attempt:

[root blizzard ~]# yum install mplayer
Loading "installonlyn" plugin
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package mplayer.i386 0:1.0-0.76.20070612svn.lvn7 set to be updated
--> Processing Dependency: libfribidi.so.0 for package: mplayer
--> Processing Dependency: liblzo2.so.2 for package: mplayer
--> Processing Dependency: libXvMC.so.1 for package: mplayer
--> Processing Dependency: libmpcdec.so.3 for package: mplayer
--> Processing Dependency: libxvidcore.so.4 for package: mplayer
--> Processing Dependency: libdvdnavmini.so.4 for package: mplayer
--> Processing Dependency: libenca.so.0 for package: mplayer
--> Processing Dependency: libaa.so.1 for package: mplayer
--> Processing Dependency: liblirc_client.so.0 for package: mplayer
--> Processing Dependency: libdvdread.so.3 for package: mplayer
--> Processing Dependency: libXvMCW.so.1 for package: mplayer
--> Processing Dependency: libcucul.so.0 for package: mplayer
--> Processing Dependency: libcaca.so.0 for package: mplayer
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package lzo.i386 0:2.02-2.fc6 set to be updated
---> Package libmpcdec.i386 0:1.2.2-4.fc6 set to be updated
---> Package libXvMC.i386 0:1.0.4-1.fc7 set to be updated
---> Package fribidi.i386 0:0.10.7-6.fc7 set to be updated
---> Package libdvdnav.i386 0:0.1.10-3.20070503.lvn7 set to be updated
---> Package mplayer.i386 0:1.0-0.76.20070612svn.lvn7 set to be updated
---> Package xvidcore.i386 0:1.1.3-1.lvn7 set to be updated
--> Processing Dependency: libaa.so.1 for package: mplayer
--> Processing Dependency: libenca.so.0 for package: mplayer
--> Processing Dependency: liblirc_client.so.0 for package: mplayer
--> Processing Dependency: libdvdread.so.3 for package: mplayer
--> Processing Dependency: libcucul.so.0 for package: mplayer
--> Processing Dependency: libcaca.so.0 for package: mplayer
--> Finished Dependency Resolution
Error: Missing Dependency: libenca.so.0 is needed by package mplayer
Error: Missing Dependency: libaa.so.1 is needed by package mplayer
Error: Missing Dependency: liblirc_client.so.0 is needed by package
mplayer
Error: Missing Dependency: libdvdread.so.3 is needed by package mplayer
Error: Missing Dependency: libcucul.so.0 is needed by package mplayer
Error: Missing Dependency: libcaca.so.0 is needed by package mplayer

I get dependency errors when I try to install totem-xine or ffmpeg as
well.

Does anyone know why this is happening and how I can resolve it?

Regards,

Ranbir

-- 
Kanwar Ranbir Sandhu
Linux 2.6.20-1.2962.fc6 i686 GNU/Linux 
20:54:28 up 14:54, 2 users, load average: 0.65, 0.34, 0.31 



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]